You are not logged in.

#1 2018-06-13 20:03

mx-zw
Member
Registered: 2016-07-10
Posts: 20

Error upgrading to linux-image-4.9.0-6-amd64 (4.9.88-1+deb9u1)

Hi there,
I can't complete the upgrade process. When ever I tried I got stuck with these messages

root@vmq4os21:~# apt-get upgrade
Reading package lists... Done
Building dependency tree
Reading state information... Done
Calculating upgrade... Done
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
1 not fully installed or removed.
After this operation, 0 B of additional disk space will be used.
Do you want to continue? [Y/n] y
Setting up linux-image-4.9.0-6-amd64 (4.9.88-1+deb9u1) ...
/etc/kernel/postinst.d/initramfs-tools:
update-initramfs: Generating /boot/initrd.img-4.9.0-6-amd64
/etc/kernel/postinst.d/zz-update-grub:
Generating grub configuration file ...
run-parts: /etc/kernel/postinst.d/zz-update-grub exited with return code 1
dpkg: error processing package linux-image-4.9.0-6-amd64 (--configure):
 subprocess installed post-installation script returned error exit status 1
Errors were encountered while processing:
 linux-image-4.9.0-6-amd64
E: Sub-process /usr/bin/dpkg returned an error code (1)
root@vmq4os21:~#

Any help would be highly appreciated

Regards,
Max

Offline

#2 2018-06-13 20:45

q4osteam
Q4OS Team
Registered: 2015-12-06
Posts: 1,927
Website

Re: Error upgrading to linux-image-4.9.0-6-amd64 (4.9.88-1+deb9u1)

First try to upgrade grub in terminal:
$ sudo update-grub
and post back the output to analyze.

Offline

#3 2018-06-14 10:25

mx-zw
Member
Registered: 2016-07-10
Posts: 20

Re: Error upgrading to linux-image-4.9.0-6-amd64 (4.9.88-1+deb9u1)

Hi there,

Thanks for the speedy reply. This is the output of update-grub

root@vmq4os21:~# update-grub
Generating grub configuration file ...
Found linux image: /boot/vmlinuz-4.9.0-6-amd64
Found initrd image: /boot/initrd.img-4.9.0-6-amd64
Found linux image: /boot/vmlinuz-4.9.0-4-amd64
Found initrd image: /boot/initrd.img-4.9.0-4-amd64
done
root@vmq4os21:~#

I did retry the apt-get upgrade ... with the same result as yesterday sad
The only slight difference, I think I noticed, is some stalling at this line

Generating grub configuration file ...

but then...

run-parts: /etc/kernel/postinst.d/zz-update-grub exited with return code 1
dpkg: error processing package linux-image-4.9.0-6-amd64 (--configure):
 subprocess installed post-installation script returned error exit status 1
Errors were encountered while processing:
 linux-image-4.9.0-6-amd64
E: Sub-process /usr/bin/dpkg returned an error code (1)
root@vmq4os21:~#

Thanks for your help!

Regards,
Max

PS: maybe this is relevant: I'm running Linux in a VMware virtual machine

Offline

#4 2018-06-14 12:39

q4osteam
Q4OS Team
Registered: 2015-12-06
Posts: 1,927
Website

Re: Error upgrading to linux-image-4.9.0-6-amd64 (4.9.88-1+deb9u1)

Well, try to run another command in terminal:
$ sudo /etc/kernel/postinst.d/zz-update-grub
and post output here.

Offline

#5 2018-06-14 14:47

mx-zw
Member
Registered: 2016-07-10
Posts: 20

Re: Error upgrading to linux-image-4.9.0-6-amd64 (4.9.88-1+deb9u1)

root@vmq4os21:~# /etc/kernel/postinst.d/zz-update-grub
Generating grub configuration file ...
Found linux image: /boot/vmlinuz-4.9.0-6-amd64
Found initrd image: /boot/initrd.img-4.9.0-6-amd64
Found linux image: /boot/vmlinuz-4.9.0-4-amd64
Found initrd image: /boot/initrd.img-4.9.0-4-amd64
done
root@vmq4os21:~#
root@vmq4os21:~#
root@vmq4os21:~# apt-get upgrade
Reading package lists... Done
Building dependency tree
Reading state information... Done
Calculating upgrade... Done
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
1 not fully installed or removed.
After this operation, 0 B of additional disk space will be used.
Do you want to continue? [Y/n] y
Setting up linux-image-4.9.0-6-amd64 (4.9.88-1+deb9u1) ...
/etc/kernel/postinst.d/initramfs-tools:
update-initramfs: Generating /boot/initrd.img-4.9.0-6-amd64
/etc/kernel/postinst.d/zz-update-grub:
Generating grub configuration file ...
run-parts: /etc/kernel/postinst.d/zz-update-grub exited with return code 1
dpkg: error processing package linux-image-4.9.0-6-amd64 (--configure):
 subprocess installed post-installation script returned error exit status 1
Errors were encountered while processing:
 linux-image-4.9.0-6-amd64
E: Sub-process /usr/bin/dpkg returned an error code (1)
root@vmq4os21:~#

Thanks for taking care. Regards,
Max

Offline

#6 2018-06-14 15:42

Dai_trying
Member
From: UK
Registered: 2015-12-14
Posts: 2,366
Website

Re: Error upgrading to linux-image-4.9.0-6-amd64 (4.9.88-1+deb9u1)

You could try

sudo apt install -f

which should fix any broken dependencies, if it doesn't work you could post the output to see if that gives any better information.

Offline

#7 2018-06-14 20:56

mx-zw
Member
Registered: 2016-07-10
Posts: 20

Re: Error upgrading to linux-image-4.9.0-6-amd64 (4.9.88-1+deb9u1)

Thank you for your support. I gave it a try:

root@vmq4os21:~# apt install -f
Reading package lists... Done
Building dependency tree
Reading state information... Done
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
1 not fully installed or removed.
After this operation, 0 B of additional disk space will be used.
Setting up linux-image-4.9.0-6-amd64 (4.9.88-1+deb9u1) ...
/etc/kernel/postinst.d/initramfs-tools:
update-initramfs: Generating /boot/initrd.img-4.9.0-6-amd64
/etc/kernel/postinst.d/zz-update-grub:
Generating grub configuration file ...
run-parts: /etc/kernel/postinst.d/zz-update-grub exited with return code 1
dpkg: error processing package linux-image-4.9.0-6-amd64 (--configure):
 subprocess installed post-installation script returned error exit status 1
Errors were encountered while processing:
 linux-image-4.9.0-6-amd64
E: Sub-process /usr/bin/dpkg returned an error code (1)
root@vmq4os21:~#

I feel quite frustrated. You guys are terribly helpful and my system keeps to its rejection

Many Regards,
Max

Offline

#8 2018-06-14 21:25

Dai_trying
Member
From: UK
Registered: 2015-12-14
Posts: 2,366
Website

Re: Error upgrading to linux-image-4.9.0-6-amd64 (4.9.88-1+deb9u1)

Have you disabled your swap partition? I have read a user with similar problem that was resolved by re-enabling the swap. They disabled it due to upgrading RAM but it seemed to cause the error for them. You can simply issue this command to turn it on (if it is set but disabled)

sudo swapon -av

This will turn on any swap files available and tell you the location (or error messages).

Another possibility is lack of space in your boot partition (depending how it is set-up) you could post the output of

df 

to show this info.

You could also try removing old kernels with this command

sudo apt autoremove --purge

This will remove old kernels and orphaned packages that are no longer required.

If you go through these steps you could now try the fix-dependency command again

sudo apt -f install

and let us know the output again.

Offline

#9 2018-06-14 22:41

mx-zw
Member
Registered: 2016-07-10
Posts: 20

Re: Error upgrading to linux-image-4.9.0-6-amd64 (4.9.88-1+deb9u1)

Here we go:

root@vmq4os21:~# sudo swapon -av
swapon: /dev/sda5: already active -- ignored
root@vmq4os21:~#
root@vmq4os21:~# df
Filesystem     1K-blocks    Used Available Use% Mounted on
udev              488572       0    488572   0% /dev
tmpfs             100156    4472     95684   5% /run
/dev/sda1       19478160 5768672  12697008  32% /
tmpfs             500764       0    500764   0% /dev/shm
tmpfs               5120       0      5120   0% /run/lock
tmpfs             500764       0    500764   0% /sys/fs/cgroup
tmpfs             100152       8    100144   1% /run/user/1000
root@vmq4os21:~#
root@vmq4os21:~# apt autoremove --purge
Reading package lists... Done
Building dependency tree
Reading state information... Done
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
1 not fully installed or removed.
After this operation, 0 B of additional disk space will be used.
Setting up linux-image-4.9.0-6-amd64 (4.9.88-1+deb9u1) ...
/etc/kernel/postinst.d/initramfs-tools:
update-initramfs: Generating /boot/initrd.img-4.9.0-6-amd64
/etc/kernel/postinst.d/zz-update-grub:
Generating grub configuration file ...
run-parts: /etc/kernel/postinst.d/zz-update-grub exited with return code 1
dpkg: error processing package linux-image-4.9.0-6-amd64 (--configure):
 subprocess installed post-installation script returned error exit status 1
Errors were encountered while processing:
 linux-image-4.9.0-6-amd64
E: Sub-process /usr/bin/dpkg returned an error code (1)
root@vmq4os21:~#
root@vmq4os21:~# apt -f install
Reading package lists... Done
Building dependency tree
Reading state information... Done
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
1 not fully installed or removed.
After this operation, 0 B of additional disk space will be used.
Setting up linux-image-4.9.0-6-amd64 (4.9.88-1+deb9u1) ...
/etc/kernel/postinst.d/initramfs-tools:
update-initramfs: Generating /boot/initrd.img-4.9.0-6-amd64
/etc/kernel/postinst.d/zz-update-grub:
Generating grub configuration file ...
run-parts: /etc/kernel/postinst.d/zz-update-grub exited with return code 1
dpkg: error processing package linux-image-4.9.0-6-amd64 (--configure):
 subprocess installed post-installation script returned error exit status 1
Errors were encountered while processing:
 linux-image-4.9.0-6-amd64
E: Sub-process /usr/bin/dpkg returned an error code (1)
root@vmq4os21:~#

Again thank you for your support

Regards,
Max

Offline

#10 2018-06-14 22:49

Dai_trying
Member
From: UK
Registered: 2015-12-14
Posts: 2,366
Website

Re: Error upgrading to linux-image-4.9.0-6-amd64 (4.9.88-1+deb9u1)

First can you try this

sudo dpkg --configure -a

and if that does not appear to resolve it can you post the output of

uname -a

and also if possible can you install inxi and post the output of

inxi -F

EDIT: and could you post the output from

cat /etc/default/grub

Last edited by Dai_trying (2018-06-14 22:51)

Offline

#11 2018-06-14 23:10

q4osteam
Q4OS Team
Registered: 2015-12-06
Posts: 1,927
Website

Re: Error upgrading to linux-image-4.9.0-6-amd64 (4.9.88-1+deb9u1)

Another option would be manually edit the failing script '/etc/kernel/postinst.d/zz-update-grub' , add the "exit 0" line just after the first line "#! /bin/sh", and next try to run:
$ sudo dpkg --configure -a
$ sudo apt update
$ sudo apt dist-upgrade
$ sudo update-grub
and remove the exit line from the script again.

Offline

#12 2018-06-15 09:29

mx-zw
Member
Registered: 2016-07-10
Posts: 20

Re: Error upgrading to linux-image-4.9.0-6-amd64 (4.9.88-1+deb9u1)

Here my reply to Dai_trying

Output of "dpkg --configure -a" and "uname -a"

root@vmq4os21:~# dpkg --configure -a
Setting up linux-image-4.9.0-6-amd64 (4.9.88-1+deb9u1) ...
/etc/kernel/postinst.d/initramfs-tools:
update-initramfs: Generating /boot/initrd.img-4.9.0-6-amd64
/etc/kernel/postinst.d/zz-update-grub:
Generating grub configuration file ...
run-parts: /etc/kernel/postinst.d/zz-update-grub exited with return code 1
dpkg: error processing package linux-image-4.9.0-6-amd64 (--configure):
 subprocess installed post-installation script returned error exit status 1
Errors were encountered while processing:
 linux-image-4.9.0-6-amd64
root@vmq4os21:~#
root@vmq4os21:~# uname -a
Linux vmq4os21 4.9.0-6-amd64 #1 SMP Debian 4.9.88-1+deb9u1 (2018-05-07) x86_64 GNU/Linux
root@vmq4os21:~#

Installation of inxi (with still pending error)

oot@vmq4os21:~# apt-get install inxi
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following additional packages will be installed:
  gawk hddtemp libglew2.0 libsigsegv2 lm-sensors mesa-utils
Suggested packages:
  gawk-doc ksensors glew-utils fancontrol read-edid i2c-tools
The following NEW packages will be installed:
  gawk hddtemp inxi libglew2.0 libsigsegv2 lm-sensors mesa-utils
0 upgraded, 7 newly installed, 0 to remove and 0 not upgraded.
1 not fully installed or removed.
Need to get 1,110 kB of archives.
After this operation, 4,340 kB of additional disk space will be used.
Do you want to continue? [Y/n] y
Get:1 http://ftp.debian.org/debian stretch/main amd64 libsigsegv2 amd64 2.10-5 [28.9 kB]
Get:2 http://ftp.debian.org/debian stretch/main amd64 gawk amd64 1:4.1.4+dfsg-1 [571 kB]
Get:3 http://ftp.debian.org/debian stretch/main amd64 libglew2.0 amd64 2.0.0-3+b1 [143 kB]
Get:4 http://ftp.debian.org/debian stretch/main amd64 mesa-utils amd64 8.3.0-3 [32.7 kB]
Get:5 http://ftp.debian.org/debian stretch/main amd64 hddtemp amd64 0.3-beta15-52+b1 [57.8 kB]
Get:6 http://ftp.debian.org/debian stretch/main amd64 inxi all 2.3.5-1 [165 kB]
Get:7 http://ftp.debian.org/debian stretch/main amd64 lm-sensors amd64 1:3.4.0-4 [112 kB]
Fetched 1,110 kB in 0s (1,512 kB/s)
Preconfiguring packages ...
Selecting previously unselected package libsigsegv2:amd64.
(Reading database ... 81933 files and directories currently installed.)
Preparing to unpack .../libsigsegv2_2.10-5_amd64.deb ...
Unpacking libsigsegv2:amd64 (2.10-5) ...
Setting up libsigsegv2:amd64 (2.10-5) ...
Selecting previously unselected package gawk.
(Reading database ... 81943 files and directories currently installed.)
Preparing to unpack .../0-gawk_1%3a4.1.4+dfsg-1_amd64.deb ...
Unpacking gawk (1:4.1.4+dfsg-1) ...
Selecting previously unselected package libglew2.0:amd64.
Preparing to unpack .../1-libglew2.0_2.0.0-3+b1_amd64.deb ...
Unpacking libglew2.0:amd64 (2.0.0-3+b1) ...
Selecting previously unselected package mesa-utils.
Preparing to unpack .../2-mesa-utils_8.3.0-3_amd64.deb ...
Unpacking mesa-utils (8.3.0-3) ...
Selecting previously unselected package hddtemp.
Preparing to unpack .../3-hddtemp_0.3-beta15-52+b1_amd64.deb ...
Unpacking hddtemp (0.3-beta15-52+b1) ...
Selecting previously unselected package inxi.
Preparing to unpack .../4-inxi_2.3.5-1_all.deb ...
Unpacking inxi (2.3.5-1) ...
Selecting previously unselected package lm-sensors.
Preparing to unpack .../5-lm-sensors_1%3a3.4.0-4_amd64.deb ...
Unpacking lm-sensors (1:3.4.0-4) ...
Setting up hddtemp (0.3-beta15-52+b1) ...
Setting up gawk (1:4.1.4+dfsg-1) ...
Processing triggers for libc-bin (2.24-11+deb9u3) ...
Setting up lm-sensors (1:3.4.0-4) ...
Created symlink /etc/systemd/system/multi-user.target.wants/lm-sensors.service → /lib/systemd/system/lm-sensors.service.
Setting up inxi (2.3.5-1) ...
Processing triggers for systemd (232-25+deb9u3) ...
Setting up libglew2.0:amd64 (2.0.0-3+b1) ...
Processing triggers for man-db (2.7.6.1-2) ...
Setting up linux-image-4.9.0-6-amd64 (4.9.88-1+deb9u1) ...
/etc/kernel/postinst.d/initramfs-tools:
update-initramfs: Generating /boot/initrd.img-4.9.0-6-amd64
/etc/kernel/postinst.d/zz-update-grub:
Generating grub configuration file ...
run-parts: /etc/kernel/postinst.d/zz-update-grub exited with return code 1
dpkg: error processing package linux-image-4.9.0-6-amd64 (--configure):
 subprocess installed post-installation script returned error exit status 1
Setting up mesa-utils (8.3.0-3) ...
Processing triggers for libc-bin (2.24-11+deb9u3) ...
Errors were encountered while processing:
 linux-image-4.9.0-6-amd64
E: Sub-process /usr/bin/dpkg returned an error code (1)
root@vmq4os21:~#

Output of inxi

root@vmq4os21:~# inxi -c 0 -F
System:    Host: vmq4os21 Kernel: 4.9.0-6-amd64 x86_64 (64 bit) Desktop: N/A
           Distro: Debian GNU/Linux 9 (stretch)
Machine:   Device: vmware System: VMware product: VMware Virtual Platform serial: VMware-xx xx xx xx xx xx xx xx-xx xx xx xx xx xx xx xx
           Mobo: Intel model: 440BX Desktop Reference Platform
           BIOS: Phoenix v: 6.00 date: 07/02/2015
CPU(s):    2 Single core Intel Core i5-4250Us (-HT-SMP-) cache: 6144 KB
           clock speeds: max: 1899 MHz 1: 1899 MHz 2: 1899 MHz
Graphics:  Card: VMware SVGA II Adapter
           Display Server: X.org 1.19.2 drivers: vmware (unloaded: modesetting,fbdev,vesa)
           tty size: 85x50 Advanced Data: N/A for root
Audio:     Card Ensoniq ES1371/ES1373 / Creative Labs CT2518 driver: snd_ens1371
           Sound: Advanced Linux Sound Architecture v: k4.9.0-6-amd64
Network:   Card: Intel 82545EM Gigabit Ethernet Controller (Copper) driver: e1000
           IF: ens33 state: up speed: 1000 Mbps duplex: full mac: xx:xx:xx:xx:xx:xx
Drives:    HDD Total Size: 21.5GB (32.3% used)
           ID-1: /dev/sda model: VMware_Virtual_S size: 21.5GB
Partition: ID-1: / size: 19G used: 5.6G (32%) fs: ext4 dev: /dev/sda1
           ID-2: swap-1 size: 1.07GB used: 0.00GB (0%) fs: swap dev: /dev/sda5
Sensors:   System Temperatures: cpu: 100.0C mobo: N/A
           Fan Speeds (in rpm): cpu: N/A
Info:      Processes: 128 Uptime: 32 min Memory: 311.1/978.1MB
           Client: Shell (bash) inxi: 2.3.5
root@vmq4os21:~#

Output of "/etc/default/grub"

root@vmq4os21:~# cat /etc/default/grub
# If you change this file, run 'update-grub' afterwards to update
# /boot/grub/grub.cfg.
# For full documentation of the options in this file, see:
#   info -f grub -n 'Simple configuration'

GRUB_DEFAULT=0
#depreciated options: GRUB_HIDDEN_TIMEOUT_QUIET=false GRUB_HIDDEN_TIMEOUT=1 ; possible kernel parms: systemd.log_level, systemd.xxx
GRUB_TIMEOUT_STYLE=hidden
GRUB_TIMEOUT=1
GRUB_DISTRIBUTOR="Q4OS Desktop `get-q4os-version | awk -F '.' '{ print $1"."$2 }'`, 'Scorpion'"
GRUB_CMDLINE_LINUX_DEFAULT="quiet loglevel=3 systemd.log_color=0 systemd.show_status=1"
GRUB_CMDLINE_LINUX=""

# Uncomment to enable BadRAM filtering, modify to suit your needs
# This works with Linux (no patch required) and with any kernel that obtains
# the memory map information from GRUB (GNU Mach, kernel of FreeBSD ...)
#GRUB_BADRAM="0x01234567,0xfefefefe,0x89abcdef,0xefefefef"

# Uncomment to disable graphical terminal (grub-pc only)
GRUB_TERMINAL=console

# The resolution used on graphical terminal
# note that you can use only modes which your graphic card supports via VBE
# you can see them in real GRUB with the command `vbeinfo'
#GRUB_GFXMODE=640x480

# Uncomment if you don't want GRUB to pass "root=UUID=xxx" parameter to Linux
#GRUB_DISABLE_LINUX_UUID=true

# Uncomment to disable generation of recovery mode menu entries
#GRUB_DISABLE_RECOVERY="true"

# Uncomment to get a beep at grub start
#GRUB_INIT_TUNE="480 440 1"
root@vmq4os21:~#

many thanx for your efforts
Max

Offline

#13 2018-06-15 10:15

Dai_trying
Member
From: UK
Registered: 2015-12-14
Posts: 2,366
Website

Re: Error upgrading to linux-image-4.9.0-6-amd64 (4.9.88-1+deb9u1)

I can't see anything obviously wrong (to me) apart from the errors that is, so would recommend following the Q4OS team's advice of disabling the zz-update-grub script.

Offline

#14 2018-06-15 11:07

mx-zw
Member
Registered: 2016-07-10
Posts: 20

Re: Error upgrading to linux-image-4.9.0-6-amd64 (4.9.88-1+deb9u1)

Thank you for your support. I followed the advice of the Q4OS Team, put an "exit 0" just after the first line in '/etc/kernel/postinst.d/zz-update-grub' to fake-terminate it successfully and started the update

root@vmq4os21:~# head -2 /etc/kernel/postinst.d/zz-update-grub
#! /bin/sh
exit 0
root@vmq4os21:~#

root@vmq4os21:~# dpkg --configure -a
Setting up linux-image-4.9.0-6-amd64 (4.9.88-1+deb9u1) ...
/etc/kernel/postinst.d/initramfs-tools:
update-initramfs: Generating /boot/initrd.img-4.9.0-6-amd64
root@vmq4os21:~#

root@vmq4os21:~# apt update
Hit:1 http://security.debian.org/debian-security stretch/updates InRelease
Ign:2 http://ftp.debian.org/debian stretch InRelease
Get:3 http://ftp.debian.org/debian stretch-updates InRelease [91.0 kB]
Hit:4 http://q4os.org/q4repo q4os-2-0-cn InRelease
Hit:5 http://ftp.debian.org/debian stretch Release
Hit:6 http://q4os.org/qtderepo stretch InRelease
Hit:7 http://q4os.org/qextrepo stretch-firefox-cn InRelease
Fetched 91.0 kB in 0s (111 kB/s)
Reading package lists... Done
Building dependency tree
Reading state information... Done
All packages are up to date.
root@vmq4os21:~#

root@vmq4os21:~# apt dist-upgrade
Reading package lists... Done
Building dependency tree
Reading state information... Done
Calculating upgrade... Done
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
root@vmq4os21:~#

root@vmq4os21:~# update-grub
Generating grub configuration file ...
Found linux image: /boot/vmlinuz-4.9.0-6-amd64
Found initrd image: /boot/initrd.img-4.9.0-6-amd64
Found linux image: /boot/vmlinuz-4.9.0-4-amd64
Found initrd image: /boot/initrd.img-4.9.0-4-amd64
done
root@vmq4os21:~#

and everything went through like charm cool

Offline

#15 2018-06-15 11:09

mx-zw
Member
Registered: 2016-07-10
Posts: 20

Re: Error upgrading to linux-image-4.9.0-6-amd64 (4.9.88-1+deb9u1)

Now I removed the "exit 0" just after the first line in '/etc/kernel/postinst.d/zz-update-grub' again and did the sanity check

root@vmq4os21:/etc/kernel/postinst.d# head zz-update-grub
#! /bin/sh
set -e
which update-grub >/dev/null 2>&1 || exit 0
if type systemd-detect-virt >/dev/null 2>&1 &&
...
root@vmq4os21:/etc/kernel/postinst.d#     

root@vmq4os21:~# apt dist-upgrade
Reading package lists... Done
Building dependency tree
Reading state information... Done
Calculating upgrade... Done
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
root@vmq4os21:~#

root@vmq4os21:~# update-grub
Generating grub configuration file ...
Found linux image: /boot/vmlinuz-4.9.0-6-amd64
Found initrd image: /boot/initrd.img-4.9.0-6-amd64
Found linux image: /boot/vmlinuz-4.9.0-4-amd64
Found initrd image: /boot/initrd.img-4.9.0-4-amd64
done
root@vmq4os21:~#

root@vmq4os21:~# apt-get upgrade linux-image-4.9.0-6-amd64
Reading package lists... Done
Building dependency tree
Reading state information... Done
linux-image-4.9.0-6-amd64 is already the newest version (4.9.88-1+deb9u1).
Calculating upgrade... Done
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
root@vmq4os21:~#                                                  

Am I back on track again? Everything is fine?
Is there a way to see whether "linux-image-4.9.0-6-amd64" is installed correctly?

Many thanks to all of you
Regards,
Max

Last edited by mx-zw (2018-06-15 11:17)

Offline

#16 2018-06-15 11:28

q4osteam
Q4OS Team
Registered: 2015-12-06
Posts: 1,927
Website

Re: Error upgrading to linux-image-4.9.0-6-amd64 (4.9.88-1+deb9u1)

mx-zw wrote:

... Everything is fine? ... Is there a way to see whether "linux-image-4.9.0-6-amd64" is installed correctly?

Yes, you should be fine. Reboot and check the active kernel:
$ uname -a

and to check the Apt integrity:
$ sudo apt-get check
$ sudo dpkg --audit

Offline

#17 2018-06-15 12:46

mx-zw
Member
Registered: 2016-07-10
Posts: 20

Re: Error upgrading to linux-image-4.9.0-6-amd64 (4.9.88-1+deb9u1)

Feels good! smile  smile
We just happend to do a new package update without complains from the system.
(We did this before I saw your response - we will do the sanity check in a minute!)

moi@vmq4os21:~$ sudo apt-get update
Hit:1 http://security.debian.org/debian-security stretch/updates InRelease
[...]
Get:8 http://q4os.org/q4repo q4os-2-0-cn/main amd64 Packages [7,043 B]
Fetched 11.7 kB in 0s (14.8 kB/s)
Reading package lists... Done

moi@vmq4os21:~$ sudo apt-get dist-upgrade
Reading package lists... Done
Building dependency tree
Reading state information... Done
Calculating upgrade... Done
The following packages will be upgraded:
  q4os-debfxs
1 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Need to get 2,047 kB of archives.
After this operation, 4,096 B disk space will be freed.
Do you want to continue? [Y/n]
Get:1 http://q4os.org/q4repo q4os-2-0-cn/main amd64 q4os-debfxs amd64 2.1.5-a1 [2,047 kB]
Fetched 2,047 kB in 1s (1,638 kB/s)
(Reading database ... 82197 files and directories currently installed.)
Preparing to unpack .../q4os-debfxs_2.1.5-a1_amd64.deb ...
Unpacking q4os-debfxs (2.1.5-a1) over (2.1.4-a1) ...
Setting up q4os-debfxs (2.1.5-a1) ...
Running ldconfig ...
moi@vmq4os21:~$

Maybe we can relax again (after the sanity check wink)

Regards,
Max

Offline

#18 2018-06-15 13:05

mx-zw
Member
Registered: 2016-07-10
Posts: 20

Re: Error upgrading to linux-image-4.9.0-6-amd64 (4.9.88-1+deb9u1)

...and here are the results:

root@vmq4os21:~# uname -a
Linux vmq4os21 4.9.0-6-amd64 #1 SMP Debian 4.9.88-1+deb9u1 (2018-05-07) x86_64 GNU/Linux
root@vmq4os21:~#

root@vmq4os21:~# sudo apt-get check
Reading package lists... Done
Building dependency tree
Reading state information... Done
root@vmq4os21:~#

root@vmq4os21:~# dpkg --audit
root@vmq4os21:~#

Maybe we are on safe ground again, I keep my fingers crossed...

Thank you all again
Max

Offline

#19 2018-06-15 14:11

Dai_trying
Member
From: UK
Registered: 2015-12-14
Posts: 2,366
Website

Re: Error upgrading to linux-image-4.9.0-6-amd64 (4.9.88-1+deb9u1)

Glad it got resolved, I'll keep my fingers crossed too, and you are very welcome smile

Offline

#20 2018-06-15 16:28

mx-zw
Member
Registered: 2016-07-10
Posts: 20

Re: Error upgrading to linux-image-4.9.0-6-amd64 (4.9.88-1+deb9u1)

smile
I send you a virtual beer...
Have a nice weekend!

Offline

#21 2018-06-15 18:51

Dai_trying
Member
From: UK
Registered: 2015-12-14
Posts: 2,366
Website

Re: Error upgrading to linux-image-4.9.0-6-amd64 (4.9.88-1+deb9u1)

It's been a lovely warm day here and I've been working in the garden and that beer sounds just what I need, Thanks lol

Offline

Board footer

Powered by FluxBB